%define upstream_name    Sort-Maker
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple way to make efficient sort subs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module has two main goals: to make it easy to create correct sort
functions, and to make it simple to select the optimum sorting algorithm
for the number of items to be sorted. Sort::Maker generates complete sort
subroutines in one of four styles, plain, orcish maneuver, Schwartzian
Transform and the Guttman-Rosler Transform. You can also get the source for
a sort sub you create via the sorter_source call.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.60.0-3.mga9
+ Revision: 1812035
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 0.60.0-2.mga8
+ Revision: 1537327
- Mageia 8 Mass Rebuild

* Wed Oct 30 2019 tv <tv> 0.60.0-1.mga8
+ Revision: 1456705
- imported package perl-Sort-Maker


* Wed Oct 30 2019 Thierry Vignaud <tv@mageia.org> 0.60.0-1.mga8
- initial mageia release, generated with cpan2dist
